Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RNode Struct Reference

`#include <node.h>`

## Data Fields
unsigned long | flags
char * | nd_file
union {
struct RNode * node
ID id
VALUE value
VALUE(* cfunc )(ANYARGS)
ID * tbl
} | u1
union {
struct RNode * node
ID id
long argc
VALUE value
} | u2
union {
struct RNode * node
ID id
long state
struct rb_global_entry * entry
long cnt
VALUE value
} | u3

## Detailed Description

Definition at line 235 of file node.h.

## Field Documentation

long RNode::argc

Definition at line 248 of file node.h.

VALUE(* RNode::cfunc)(ANYARGS)

Definition at line 242 of file node.h.

long RNode::cnt

Definition at line 256 of file node.h.

Referenced by gc_mark_children(), rb_parser_realloc(), and zip_ary().

struct rb_global_entry* RNode::entry

Definition at line 255 of file node.h.

unsigned long RNode::flags

Definition at line 236 of file node.h.

Referenced by iseq_compile_each(), newline_node(), rb_mod_nesting(), rb_node_newnode(), reduce_nodes_gen(), vm_get_const_base(), vm_get_cvar_base(), vm_get_ev_const(), and yield_under().

ID RNode::id

Definition at line 240 of file node.h.

Referenced by defined_expr(), and iseq_compile_each().

char* RNode::nd_file

Definition at line 237 of file node.h.

Referenced by set_relation(), and vm_cref_push().

struct RNode* RNode::node

Definition at line 239 of file node.h.

Referenced by gc_mark_children(), iseq_compile_each(), rb_parser_free(), and rb_parser_realloc().

long RNode::state

Definition at line 254 of file node.h.

ID* RNode::tbl

Definition at line 243 of file node.h.

union { ... } RNode::u1

Referenced by gc_mark_children(), iseq_compile_each(), lfp_svar_get(), lfp_svar_set(), rb_node_newnode(), rb_parser_realloc(), zip_ary(), and zip_i().

union { ... } RNode::u2

Referenced by gc_mark_children(), iseq_compile_each(), lfp_svar_get(), lfp_svar_set(), rb_node_newnode(), rb_parser_free(), rb_parser_realloc(), zip_ary(), and zip_i().

union { ... } RNode::u3

Referenced by gc_mark_children(), lfp_svar_get(), lfp_svar_set(), rb_node_newnode(), rb_parser_realloc(), and zip_ary().

VALUE RNode::value

Definition at line 241 of file node.h.

Referenced by gc_mark_children(), lfp_svar_get(), lfp_svar_set(), rb_node_newnode(), zip_ary(), and zip_i().

The documentation for this struct was generated from the following file:

- node.h